Difference between revisions of "Draft ShapeString/fr"

From FreeCAD Documentation
Jump to navigation Jump to search
(Created page with "* Draft ShapeString tutorial: pour extruder une chaîne ShapeString, positionnez-la dans un espace 3D et créez une gravure dans un autre cor...")
 
(49 intermediate revisions by 4 users not shown)
Line 1: Line 1:
 
<languages/>
 
<languages/>
{{Docnav/fr|[[Draft_Point/fr|Point]]|[[Draft_Facebinder/fr|Facebinder]]|[[Draft_Module/fr|Draft]]|IconL=Draft_Point.svg |IconC=Workbench_Draft.svg|IconR=Draft_Facebinder.svg }}
+
{{Docnav/fr
 +
|[[Draft_Point/fr|Point]]
 +
|[[Draft_Facebinder/fr|Faces liées]]
 +
|[[Draft_Module/fr|Atelier Draft]]
 +
|IconL=Draft_Point.svg  
 +
|IconC=Workbench_Draft.svg
 +
|IconR=Draft_Facebinder.svg  
 +
}}
  
{{GuiCommand/fr|Name=Draft ShapeString|Name/fr=Draft ShapeString|Workbenches=[[Draft Module/fr|Draft]], [[Arch Module/fr|Arch]]|MenuLocation=Draft ShapeString|Shortcut=S S|SeeAlso=[[Draft Text/fr|Draft Text]], [[Part Extrude/fr|Part Extrude]],<br /> [[Macro_Fonts_Win10_PYMP/fr|Macro Fonts Win10 PYMP]] [[Image:Macro_Fonts_Win10_PYMP.png|24px]]|Version=0.14}}
+
{{GuiCommand/fr
 +
|Name=Draft ShapeString
 +
|Name/fr=Draft Formes à partir texte
 +
|Workbenches=[[Draft_Module/fr|Draft]], [[Arch_Module/fr|Arch]]
 +
|MenuLocation=Drafting Shape from text
 +
|Shortcut={{KEY|S}} {{KEY|S}}
 +
|SeeAlso=[[Draft_Text/fr|Draft Texte]], [[Part_Extrude/fr|Part Extrusion]],<br /> [[Macro_Fonts_Win10_PYMP/fr|Macro Fonts Win10 PYMP]] [[Image:Macro_Fonts_Win10_PYMP.png|24px]]
 +
|Version/fr=0.14
 +
}}
  
 
==Description==
 
==Description==
  
L'outil ShapeString insère une forme composée représentant une chaîne de texte à l'emplacement donné dans le document courant. Les attributs du texte, hauteur, police ... peuvent être spécifiés.
+
L'outil {{Button|[[Image:Draft_ShapeString.svg|16px]] [[Draft_ShapeString/fr|Draft Formes à partir texte]]}} insère une forme composée représentant une chaîne de texte à l'emplacement donné dans le document courant. Les attributs du texte, hauteur, police peuvent être spécifiés.
La forme obtenue peut être utilisée avec l'outil [[Part Extrude/fr|Part Extrude]] pour créer des lettres 3D.
+
La forme obtenue peut être utilisée avec l'outil [[Image:Part_Extrude.svg|24px]] [[Part Extrude/fr|Part Extrusion]] pour créer des lettres 3D.
  
Pour insérer un élément de texte plus simple sans forme fermée, utilisez [[Draft Text/fr|Draft Text]]. Pour créer une étiquette de texte avec une piste et une flèche, utilisez [[Draft Label/fr|Draft Label]].
+
'''Alternative''': pour insérer un élément de texte plus simple sans forme fermée, utilisez [[Image:Draft_Text.svg|24px]] [[Draft_Text/fr|Draft Texte]]. Pour créer une étiquette de texte avec un trait et une flèche, utilisez [[Image:Draft_Label.svg|24px]] [[Draft_Label/fr|Draft Etiquette]].
  
 
[[Image:Draft_ShapeString_Example400.png]]
 
[[Image:Draft_ShapeString_Example400.png]]
{{Caption|Un seul point requis pour positionner le Shapestring}}
+
{{Caption|Un seul point requis pour positionner la Forme pour le texte}}
  
 
==Utilisation==
 
==Utilisation==
  
 
Si votre mode d'interface Draft est défini sur la barre d'outils:
 
Si votre mode d'interface Draft est défini sur la barre d'outils:
# Appuyez sur le bouton {{Button|[[Image:Draft_ShapeString16.png]] [[Draft_ShapeString/fr|Draft Shape from text ...]]}} ou sur les touches {{KEY|S}} puis {{KEY|S}}
+
# Appuyez sur le bouton {{Button|[[Image:Draft_ShapeString.svg|16px]] [[Draft_ShapeString/fr|Draft Creates a shape from...]]}} ou tapez {{KEY|S}} puis {{KEY|S}}.
# Cliquez un point dans la vue en 3D, ou une [[Draft_Coordinates/fr|coordonnée]]
+
# Cliquez un point dans la vue en 3D ou une [[Draft_Coordinates/fr|coordonnée]]
# Entrez le texte désiré, puis validez avec {{KEY|ENREE}}  
+
# Entrez le texte désiré, puis validez avec {{KEY|ENTREE}}  
# Entrez la taille désirée, puis validez avec {{KEY|ENREE}}
+
# Entrez la taille désirée, puis validez avec {{KEY|ENTREE}}
# Entrez le suivi souhaité, puis validez avec {{KEY|ENREE}}
+
# Entrez le suivi souhaité, puis validez avec {{KEY|ENTREE}}
# Appuyez de sur nouveau sur {{KEY|ENREE}} pour accepter le fichier police de caractères choisie, ou, appuyez sur le bouton avec les 3 petits points {{Button|...}} pour sélectionner une nouvelle police de caractères.
+
# Appuyez de sur nouveau sur {{KEY|ENTREE}} pour accepter le fichier police de caractères choisie ou appuyez sur le bouton avec les 3 petits points {{Button|...}} pour sélectionner une nouvelle police de caractères.
 
[[Image:SSFontSelect.png]]
 
[[Image:SSFontSelect.png]]
  
 
Si votre mode d'interface Draft est défini sur TaskView:
 
Si votre mode d'interface Draft est défini sur TaskView:
# Appuyez sur le bouton {{Button|[[Image:Draft_ShapeString16.png]] [[Draft_ShapeString/fr|Draft ShapeString]]}}, ou appuyez sur les touches {{KEY|S}}, puis {{KEY|S}}.
+
# Appuyez sur le bouton {{Button|[[Image:Draft_ShapeString.svg|16px]] [[Draft_ShapeString/fr|Draft Creates a shape from...]]}} ou appuyez sur les touches {{KEY|S}} puis {{KEY|S}}.
 
# Une boîte de dialogue apparaît dans laquelle vous pouvez spécifier vos paramètres.
 
# Une boîte de dialogue apparaît dans laquelle vous pouvez spécifier vos paramètres.
# Appuyez sur le bouton {{Button|OK}} pour créer le ShapeString.  
+
# Appuyez sur le bouton {{KEY|OK}} pour créer la Forme de texte.  
 
 
  
Le texte, la taille, le suivi et la police peuvent être modifiés après la création en modifiant les propriétés de la forme.
 
  
 
* Le texte, la taille, le suivi (tracking) et la police peuvent être modifiés après la création, en modifiant les valeurs dans l'éditeur de propriétés.
 
* Le texte, la taille, le suivi (tracking) et la police peuvent être modifiés après la création, en modifiant les valeurs dans l'éditeur de propriétés.
Line 37: Line 50:
 
* Les polices prisent en charge incluent TrueType (.ttf), OpenType (.otf) et Type 1 (.pfb).
 
* Les polices prisent en charge incluent TrueType (.ttf), OpenType (.otf) et Type 1 (.pfb).
  
==Limites==
+
===Limitations===
* Une trop faible hauteur du texte peut entraîner une déformation du glyphe du caractère généré, à cause de la perte de détails dû a la faible échelle.
+
* Une trop faible hauteur du texte peuvent entraîner des formes de caractères déformées en raison de la perte de détails lors de la mise à l'échelle.
* La version actuelle est limitée à l'orientation de gauche à droite sur une ligne de base horizontale.
+
* La version actuelle est limitée à l'orientation de gauche à droite.
* Pour créer des textes circulaire utilisez la macro [[File:FCCircularTextButtom.png|24px]][[Macro_Circular Text/fr|Circular Text]]
+
* Pour créer des textes circulaires, utilisez la macro [[File:FCCircularTextButtom.png|24px]][[Macro_FCCircularText/fr|Circular Text]]
  
 
==Options==
 
==Options==
  
* Pour entrer les coordonnées manuellement, il suffit d'entrer les nombres, et frapper sur la touche {{KEY|ENREE}} entre chaque affectation de la composante X, Y et Z. Vous pouvez appuyer sur le bouton {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint/fr|ajouter un point]]}} lorsque vous avez les valeurs souhaitées pour insérer le point.
+
* Pour entrer les coordonnées manuellement, il suffit d'entrer les nombres, et frapper sur la touche {{KEY|ENTREE}} entre chaque affectation de la composante X, Y et Z. Vous pouvez appuyer sur le bouton {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint/fr|ajouter un point]]}} lorsque vous avez les valeurs souhaitées pour insérer le point.
* Appuyez sur {{KEY|ESC}} ou le {{Button|Close}} pour annuler et quitter l'opération.
+
* Appuyez sur {{KEY|Echap}} ou le {{Button|Close}} pour annuler et quitter l'opération.
  
 
==Propriétés==
 
==Propriétés==
  
* {{PropertyData/fr|Position}}: Le point de base de la forme composée
+
* {{PropertyData/fr|Position}}: le point de base de la forme composée.
* {{PropertyData/fr|Angle}}: Spécifie la rotation de la ligne de base de la forme.
+
* {{PropertyData/fr|Angle}}: spécifie la rotation de la ligne de base de la forme.
 
* {{PropertyData/fr|Axis}}: spécifie l'axe à utiliser pour la rotation.
 
* {{PropertyData/fr|Axis}}: spécifie l'axe à utiliser pour la rotation.
* {{PropertyData/fr|String}}: spécifie la chaîne de texte à afficher; contrairement à l'outil [[Draft Text/fr| Draft Text]], le [[Draft ShapeString/fr|Draft ShapeString]] ne peut afficher qu'une seule ligne.
+
* {{PropertyData/fr|String}}: spécifie la chaîne de texte à afficher; contrairement à l'outil [[Draft_Text/fr|Draft Texte]], [[Draft_ShapeString/fr|Draft Formes à partir texte]] ne peut afficher qu'une seule ligne.
* {{PropertyData/fr|Size}}: La hauteur des lettres dans les FC unités
+
* {{PropertyData/fr|Size}}: hauteur des lettres dans les FC unités.
* {{PropertyData/fr|Tracking}}: L'inter-caractère d'espacement dans l'unité de FreeCAD
+
* {{PropertyData/fr|Tracking}}: l'inter-caractère d'espacement dans l'unité de FreeCAD.
* {{PropertyData/fr|Font File}}: Définition de la police de caractères pour dessiner la chaîne
+
* {{PropertyData/fr|Font File}}: définition de la police de caractères pour dessiner la chaîne.
  
 
==Script==
 
==Script==
{{Emphasis|See also:}} [[Draft_API/fr|Draft API]] et [[FreeCAD Scripting Basics/fr|FreeCAD Scripting Basics]].
+
{{Emphasis|Voir aussi:}} [[Draft_API/fr|Draft API]] et [[FreeCAD Scripting Basics/fr|FreeCAD Débuter avec les scripts]].
  
L'outil ShapeString peut être utilisé dans une [[macros/fr|macro]] Python à partir de la console [[Python/fr|Python]] en utilisant la fonction suivante:
+
L'outil Formes à partir de texte peut être utilisé dans une [[macros/fr|macro]] Python à partir de la console [[Python/fr|Python]] en utilisant la fonction suivante:
 
{{Code|code=
 
{{Code|code=
 
ShapeString = makeShapeString(String, FontFile, Size=100, Tracking=0)
 
ShapeString = makeShapeString(String, FontFile, Size=100, Tracking=0)
Line 73: Line 86:
 
Exemple:
 
Exemple:
 
{{Code|code=
 
{{Code|code=
import FreeCAD, Draft
+
import FreeCAD as App
 +
import Draft
 +
 
 +
doc = App.newDocument()
  
 
font1 = "/usr/share/fonts/truetype/msttcorefonts/Arial.ttf"
 
font1 = "/usr/share/fonts/truetype/msttcorefonts/Arial.ttf"
Line 83: Line 99:
 
S2 = Draft.makeShapeString("Inclined text", font2, 200, 10)
 
S2 = Draft.makeShapeString("Inclined text", font2, 200, 10)
  
ZAxis = FreeCAD.Vector(0, 0, 1)
+
ZAxis = App.Vector(0, 0, 1)
p2 = FreeCAD.Vector(-1000, 500, 0)
+
p2 = App.Vector(-1000, 500, 0)
place2 = FreeCAD.Placement(p2, FreeCAD.Rotation(ZAxis, 45))
+
place2 = App.Placement(p2, App.Rotation(ZAxis, 45))
 
S2.Placement = place2
 
S2.Placement = place2
  
 
S3 = Draft.makeShapeString("Upside-down text", font3, 200, 10)
 
S3 = Draft.makeShapeString("Upside-down text", font3, 200, 10)
S3.Placement.Base = FreeCAD.Vector(0, -1000, 0)
+
S3.Placement.Base = App.Vector(0, -1000, 0)
S3.Placement.Rotation = FreeCAD.Rotation(ZAxis, 180)
+
S3.Placement.Rotation = App.Rotation(ZAxis, 180)
 +
 
 +
doc.recompute()
 
}}
 
}}
  
 
==Tutoriels==
 
==Tutoriels==
  
* [[Draft_ShapeString_tutorial/fr|Draft ShapeString tutorial]]: pour extruder une chaîne ShapeString, positionnez-la dans un espace 3D et créez une gravure dans un autre corps.
+
* [[Draft_ShapeString_tutorial/fr|Draft STutoriel de Dessin de Shapestring]]: pour extruder une chaîne ShapeString, positionnez-la dans un espace 3D et créez une gravure dans un autre corps.
* [https://forum.freecadweb.org/viewtopic.php?f=3&t=36623|Nice write up on using ShapeString with PartDesign]
+
* [https://forum.freecadweb.org/viewtopic.php?f=3&t=36623 How to use ShapeStrings in PartDesign]
  
==Notes==
+
==Remarques==
  
* Many fonts will generate problematic geometric. This is because font contours are allowed to overlap, have small gaps and have varying directions within a glyph. These conditions are considered errors in the Wires used to define Faces. Options are to correct the font definition with a tool like FontForge or to use another font.  
+
* De nombreuses polices généreront des problèmes géométriques. Cela est dû au fait que les contours de police peuvent se chevaucher, avoir de petits espaces et des directions variables dans un glyphe. Ces conditions sont considérées comme des erreurs dans les fils utilisés pour définir les surfaces. Les options consistent à corriger la définition de police avec un outil tel que FontForge ou à utiliser une autre police.  
  
{{Docnav/fr|[[Draft_Point/fr|Point]]|[[Draft_Facebinder/fr|Facebinder]]|[[Draft_Module/fr|Draft]]|IconL=Draft_Point.svg |IconC=Workbench_Draft.svg|IconR=Draft_Facebinder.svg}}
+
{{Docnav/fr
 
+
|[[Draft_Point/fr|Point]]
{{Draft Tools navi/fr}}
+
|[[Draft_Facebinder/fr|Faces liées]]
 +
|[[Draft_Module/fr|Atelier Draft]]
 +
|IconL=Draft_Point.svg  
 +
|IconC=Workbench_Draft.svg
 +
|IconR=Draft_Facebinder.svg  
 +
}}
  
{{Userdocnavi/fr}}
+
{{Draft Tools navi{{#translation:}}}}
 +
{{Userdocnavi{{#translation:}}}}
 
{{clear}}
 
{{clear}}

Latest revision as of 21:33, 19 October 2020

Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Page précédente : Draft Point.svg Point
Page suivante : Faces liées Draft Facebinder.svg Arrow-right.svg

Draft ShapeString.svg Draft Formes à partir texte

Emplacement du menu
Drafting → Shape from text
Ateliers
Draft, Arch
Raccourci par défaut
S S
Introduit dans la version
-
Voir aussi
Draft Texte, Part Extrusion,
Macro Fonts Win10 PYMP Macro Fonts Win10 PYMP.png


Description

L'outil Draft ShapeString.svg Draft Formes à partir texte insère une forme composée représentant une chaîne de texte à l'emplacement donné dans le document courant. Les attributs du texte, hauteur, police peuvent être spécifiés. La forme obtenue peut être utilisée avec l'outil Part Extrude.svg Part Extrusion pour créer des lettres 3D.

Alternative: pour insérer un élément de texte plus simple sans forme fermée, utilisez Draft Text.svg Draft Texte. Pour créer une étiquette de texte avec un trait et une flèche, utilisez Draft Label.svg Draft Etiquette.

Draft ShapeString Example400.png

Un seul point requis pour positionner la Forme pour le texte


Utilisation

Si votre mode d'interface Draft est défini sur la barre d'outils:

  1. Appuyez sur le bouton Draft ShapeString.svg Draft Creates a shape from... ou tapez S puis S.
  2. Cliquez un point dans la vue en 3D ou une coordonnée
  3. Entrez le texte désiré, puis validez avec ENTREE
  4. Entrez la taille désirée, puis validez avec ENTREE
  5. Entrez le suivi souhaité, puis validez avec ENTREE
  6. Appuyez de sur nouveau sur ENTREE pour accepter le fichier police de caractères choisie ou appuyez sur le bouton avec les 3 petits points ... pour sélectionner une nouvelle police de caractères.

SSFontSelect.png

Si votre mode d'interface Draft est défini sur TaskView:

  1. Appuyez sur le bouton Draft ShapeString.svg Draft Creates a shape from... ou appuyez sur les touches S puis S.
  2. Une boîte de dialogue apparaît dans laquelle vous pouvez spécifier vos paramètres.
  3. Appuyez sur le bouton OK pour créer la Forme de texte.


  • Le texte, la taille, le suivi (tracking) et la police peuvent être modifiés après la création, en modifiant les valeurs dans l'éditeur de propriétés.
  • Vous voudrez définir le fichier de police par défaut dans Draft Préférences, dans l'onglet Textes et dimensions. Cela pré-remplira la boîte de fichier de police dans la boîte de dialogue.
  • Les polices prisent en charge incluent TrueType (.ttf), OpenType (.otf) et Type 1 (.pfb).

Limitations

  • Une trop faible hauteur du texte peuvent entraîner des formes de caractères déformées en raison de la perte de détails lors de la mise à l'échelle.
  • La version actuelle est limitée à l'orientation de gauche à droite.
  • Pour créer des textes circulaires, utilisez la macro FCCircularTextButtom.pngCircular Text

Options

  • Pour entrer les coordonnées manuellement, il suffit d'entrer les nombres, et frapper sur la touche ENTREE entre chaque affectation de la composante X, Y et Z. Vous pouvez appuyer sur le bouton Draft AddPoint.svg ajouter un point lorsque vous avez les valeurs souhaitées pour insérer le point.
  • Appuyez sur Echap ou le Close pour annuler et quitter l'opération.

Propriétés

  • DonnéesPosition: le point de base de la forme composée.
  • DonnéesAngle: spécifie la rotation de la ligne de base de la forme.
  • DonnéesAxis: spécifie l'axe à utiliser pour la rotation.
  • DonnéesString: spécifie la chaîne de texte à afficher; contrairement à l'outil Draft Texte, Draft Formes à partir texte ne peut afficher qu'une seule ligne.
  • DonnéesSize: hauteur des lettres dans les FC unités.
  • DonnéesTracking: l'inter-caractère d'espacement dans l'unité de FreeCAD.
  • DonnéesFont File: définition de la police de caractères pour dessiner la chaîne.

Script

Voir aussi: Draft API et FreeCAD Débuter avec les scripts.

L'outil Formes à partir de texte peut être utilisé dans une macro Python à partir de la console Python en utilisant la fonction suivante:

ShapeString = makeShapeString(String, FontFile, Size=100, Tracking=0)
  • Crée une forme composée ShapeString à l'aide du String spécifié et du chemin d'accès complet d'un FontFile pris en charge.
  • Size est la hauteur du texte obtenu en millimètres.
  • Tracking est l'espacement supplémentaire entre les caractères en millimètres.

L'emplacement de ShapeString peut être modifié en écrasant ses attributs Placement ou en écrasant individuellement ses attributs Placement.Base et Placement.Rotation.

Exemple:

import FreeCAD as App
import Draft

doc = App.newDocument()

font1 = "/usr/share/fonts/truetype/msttcorefonts/Arial.ttf"
font2 = "/usr/share/fonts/truetype/dejavu/DejaVuSerif.ttf"
font3 = "/usr/share/fonts/truetype/freefont/FreeSerifItalic.ttf"

S1 = Draft.makeShapeString("This is a sample text", font1, 200)

S2 = Draft.makeShapeString("Inclined text", font2, 200, 10)

ZAxis = App.Vector(0, 0, 1)
p2 = App.Vector(-1000, 500, 0)
place2 = App.Placement(p2, App.Rotation(ZAxis, 45))
S2.Placement = place2

S3 = Draft.makeShapeString("Upside-down text", font3, 200, 10)
S3.Placement.Base = App.Vector(0, -1000, 0)
S3.Placement.Rotation = App.Rotation(ZAxis, 180)

doc.recompute()

Tutoriels

Remarques

  • De nombreuses polices généreront des problèmes géométriques. Cela est dû au fait que les contours de police peuvent se chevaucher, avoir de petits espaces et des directions variables dans un glyphe. Ces conditions sont considérées comme des erreurs dans les fils utilisés pour définir les surfaces. Les options consistent à corriger la définition de police avec un outil tel que FontForge ou à utiliser une autre police.
Arrow-left.svg Page précédente : Draft Point.svg Point
Page suivante : Faces liées Draft Facebinder.svg Arrow-right.svg